App Academy

Problem with installing "PostgreSQL" (AppAcademy Open)

In the “Ruby” course, one section “Setting up a Development Environment (Phase 1)”. I have problem with installing the “PostgreSQL”. I am using Ubuntu on Windows 10.

When I type - “sudo apt-get install postgresql-client”, first I get this message:

“Reading package lists… Done
Building dependency tree
Reading state information… Done
postgresql-client is already the newest version (12+214ubuntu0.1).
0 upgraded, 0 newly installed, 0 to remove and 55 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]”

Then, when I type “Y”, I get these errors:

“Setting up libc-bin (2.31-0ubuntu9.2) …
Aborted (core dumped)
/sbin/ldconfig.real: Can’t stat /usr/local/lib/x86_64-linux-gnu: No such file or directory
/sbin/ldconfig.real: Path /usr/lib/x86_64-linux-gnu' given more than once /sbin/ldconfig.real: Path /lib/x86_64-linux-gnu’ given more than once
/sbin/ldconfig.real: Path /usr/lib/x86_64-linux-gnu' given more than once /sbin/ldconfig.real: Path /usr/lib’ given more than once
/usr/lib/x86_64-linux-gnu/libfakeroot:
libfakeroot-0.so → libfakeroot-tcp.so
/usr/local/lib:
/lib/x86_64-linux-gnu:
Aborted (core dumped)
dpkg: error processing package libc-bin (–configure):
installed libc-bin package post-installation script subprocess returned error exit status 134
Errors were encountered while processing:
libc-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)”

I really don’t understant all these setting-up environments, installing gems, etc. Who got same problem? Or understands what the message above means?

Here is a screenshot: